Support » 疑難雜症 » 覆蓋舊版wp-content

  • 您好

    原本WP版本是使用3.9.2~~就在前幾天WP通知有4.0版本可更新後…
    就使用手動更新方式來升級。
    一時手誤,誤將wp-content也一併複製並覆蓋原3.9.2版的wp-content…
    自此之後便無法登入後台…
    情況是,可以出現登入後台頁面,但輸入帳號密碼後就出現HTTP 500,網站無法顯示該網頁~~

    因在某種原因之下沒有做任何備份~~這樣的狀況,不曉得是否有任何機會可以修復or回復?

    感謝~

正在檢視 3 則回覆 - 1 至 3 (共計 3 則)
  • wp-content內的plugin、upload、languages、theme都屬於會變動的資料夾
    如已覆蓋方式,4.0內的檔案也不會有你增加的檔案,那要覆蓋啥?
    舉例說:你在theme資料夾內增加了一個佈景主題為notlost資料夾,你拿4.0的wp-content來覆蓋
    ,那theme資料夾的notlost資料夾會不見嗎?答案是不會,因為4.0的wp-content內的theme資料夾內無notlost資料夾,所以原有的notlosty資料夾內的檔案不會被覆蓋。

    Q1.所以你確定是wp-content內的內容被覆蓋的問題嗎?
    Q2.請確認wp-content內的檔案與你原來的檔案資料是否都在?
    Q3.請確認你的佈景主題是否支援4.0?
    Q4.請確認你所安裝的外掛是否都支援4.0?(有可能沖到XD)

    因為我用手動更新也是解開壓縮檔整個覆蓋下去,我從2.5版到4.0都是這樣更新,沒發生啥問題

    以上

    感謝nonelin的回覆~~

    我本來的想法就跟你說的是一樣的…即便是同一個資料夾,新的覆蓋舊的也是不會覆蓋到增加的檔案。所以就給他下去了…
    就是在覆蓋完之後才發現無法登入後台這樣的情形…我甚至把plugin這資料夾更名plugin-old…也是無法登入。
    這也是為何我會懷疑是覆蓋wp-content之後才發生的結果。
    現在,我真的無法確認任何事情…因為無法登入後台~~~
    或許只剩下土法煉鋼的方式就是把網站重新安裝WP一途了~~

    如果你已有文章與媒體圖檔寫了很多篇了
    你可以用我說的方式回復文章與媒體、標籤、分類、回響….,到重灌的WP
    但這必須要使用MySQL
    我簡單說明細節你在研究
    起把舊WP資料庫的資料表匯入到新重灌得的WP的資料庫內
    要匯入的資料表如下(XXX代表你的資料表綴字,如果完全沒有回響,後面兩個資料表就可不用匯拉)
    xxx_posts
    xxx_postmeta
    xxx_term_relationships
    xxx_term_taxonomy
    xxx_terms
    xxx_commentmeta
    xxx_comments

正在檢視 3 則回覆 - 1 至 3 (共計 3 則)
  • The topic ‘覆蓋舊版wp-content’ is closed to new replies.